package com.example.student.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import javax.persistence.*;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import static com.example.student.constant.Constant.ID_NOT_NULL_ERROR_MESSAGE;
import static com.example.student.constant.Constant.NAME_NOT_EMPTY_ERROR_MESSAGE;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class StudentDto {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @NotNull(message = ID_NOT_NULL_ERROR_MESSAGE)
    private int id;
    @NotEmpty(message = NAME_NOT_EMPTY_ERROR_MESSAGE)
    private String name;
    private int age;
    @Column(unique = true, name = "rollNo")
    private int rollNo;
    private String hobby;
    @JsonFormat(shape=JsonFormat.Shape.STRING, pattern="dd:MM:yyyy")
    @Temporal(TemporalType.DATE)
    private Date dateOfBirth;
    private int teacherId;
    private List<ErrorDto> errors = new ArrayList<>();
}
